%define ver		4.1.12
%define rel		1
%define version		%{ver}%{?svndate:.%{svndate}}
%define release		%mkrel %{rel}
%define kname		vboxdrv
%define oname		VirtualBox
%define srcname		%{oname}-%{version}
%define distname	%{oname}-%{version}
%define dirname		vbox-ose
%define pkgver		%{ver}%{?svndate:-%{svndate}}

%define vboxlibdir	%{_libdir}/%{name}
%define vboxdatadir	%{_datadir}/%{name}
%define vboxpydir	%{py_puresitedir}/vboxapi

%define build_additions	1
%define build_doc	0
%define build_sdk	1

%ifarch %{ix86}
%define vbox_platform linux.x86
%endif
%ifarch x86_64
%define vbox_platform linux.amd64
%endif

# nuke vbox-specific dependencies
%define _provides_exceptions ^VBox
%define _requires_exceptions ^VBox

%define x11_server_majorver %(pkg-config --modversion xorg-server|awk -F. '{print $1$2}')

Summary:	A general-purpose full virtualizer for x86 hardware
Name:		virtualbox
Version:	%{version}
Release:	%{release}
Source0:	http://download.virtualbox.org/virtualbox/%ver/%{srcname}.tar.bz2
Source2:	virtualbox.init
Source10:	virtualbox.png
Source11:	virtualbox.16.png
Source12:	virtualbox.48.png
# (tmb: mga icons submitted upstream 2011-10-22)
Source20:       os_mageia.png
Source21:       os_mageia_64.png
Patch1:		VirtualBox-4.1.8-libpath.patch
Patch2:		VirtualBox-4.1.8-kernelrelease.patch
Patch3:		VirtualBox-4.1.8-futex.patch
Patch4:		virtualbox-fix-vboxadd-req.patch
# (fc) 1.6.0-2mdv fix initscript name in VBox.sh script
Patch5:		VirtualBox-4.1.8-initscriptname.patch
# (tmb) disable update notification (OpenSuSe)
Patch7:		VirtualBox-4.1.8-no-update.patch
# don't check for:
# - mkisofs: we're not going to build the additions .iso file
# - makeself: we're not going to create the stanalone .run installers
Patch9:		VirtualBox-4.1.8-dont-check-for-mkisofs-or-makeself.patch
# (Debian) build X server drivers only for the selected version
# but we're not using the full patch, only the parts we need (e.g. the section
# about Debian Lenny), so we regenerate the patch
Patch10:	VirtualBox-4.1.10-system-xorg.patch
# (Debian) Only display warnings about broken USB support when it's actually
# used (i.e. the machine has USB device filters)
Patch11:	VirtualBox-4.1.8-usb-warning-filters.patch
# remove duplicate info from french install manual (tmb: submitted upstream 2011-10-22)
Patch12:	VirtualBox-4.1.6_OSE-remove-duplicate-info-from-man.patch
# add Mageia support (tmb: submitted upstream 2011-10-22)
Patch13:	VirtualBox-4.1.10-add-Mageia-support.patch
Patch14:	virtualbox-default-to-mageia.patch

License:	GPLv2
Group:		Emulators
Url:		http://www.virtualbox.org/
ExclusiveArch:	%{ix86} x86_64
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper
Requires:	kmod(vboxdrv) = %{version}
Conflicts:	dkms-%{name} <= 1.5.0-%{mkrel 4}
Suggests:	%{name}-doc
BuildRequires:	dev86, iasl
BuildRequires:	zlib-devel
BuildRequires:	libxcursor-devel
BuildRequires:	libxmu-devel
BuildRequires:	SDL-devel, libqt4-devel >= 4.4.0
BuildRequires:  qt4-linguist
BuildRequires:	libIDL-devel, libext2fs-devel
BuildRequires:	libxslt-proc, libxslt-devel 
BuildRequires:	hal-devel, libxt-devel, libstdc++-static-devel
BuildRequires:  python-devel
BuildRequires:  libcap-devel
BuildRequires:  libxrandr-devel libxinerama-devel libxcomposite-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	kernel-devel-latest
BuildRequires:  mesaglu-devel mesagl-devel libxmu-devel
BuildRequires:	openssl-devel
BuildRequires:	curl-devel
BuildRequires:	dkms-minimal
BuildRequires:	libpam-devel
BuildRequires:	gawk
BuildRequires:	x11-server-devel
BuildRequires:	java-rpmbuild
%if %build_doc
# for building the user manual pdf file
BuildRequires:	texlive
BuildRequires:	texlive-fontsextra
BuildRequires:	docbook-dtds
%endif
BuildRequires:	libxslt-devel

%description
VirtualBox is a general-purpose full virtualizer for x86 hardware.

%package -n	dkms-%{name}
Summary:	VirtualBox kernel module
Group:		System/Kernel and hardware
Requires(post):	  dkms
Requires(preun):  dkms
Conflicts:	dkms-vboxadditions < 4.0.6

%description -n dkms-%{name}
Kernel support for VirtualBox.

%if %{build_additions}
%package 	guest-additions
Summary:	Additions for VirtualBox guest systems
Group:		Emulators
Requires:	kmod(vboxguest)
Requires:	kmod(vboxsf)
Requires:	kmod(vboxvideo)
Requires:	x11-driver-video-vboxvideo
# guest-additions should require xrandr for auto-resizing of guest display to
# work without having to restart the X server in the guest VM
Requires:	xrandr
Requires(post):   rpm-helper
Requires(preun):  rpm-helper

%description    guest-additions
This package contains additions for VirtualBox guest systems.
It allows to share files with the host system and sync time with host.

%package -n	dkms-vboxadditions
Summary:	Kernel module for VirtualBox additions
Group:		System/Kernel and hardware
Requires(post):	  dkms
Requires(preun):  dkms
Obsoletes:	dkms-vboxadd < %{version}-%{release}
Provides:	dkms-vboxvfs = %{version}-%{release}
Obsoletes:	dkms-vboxvfs < %{version}-%{release}
Provides:	dkms-vboxsf = %{version}-%{release}
Obsoletes:	dkms-vboxsf < %{version}-%{release}
Provides:	dkms-vboxvideo = %{version}-%{release}
Obsoletes:	dkms-vboxvideo < %{version}-%{release}
Conflicts:	dkms-%{name} < 4.0.6

%description -n dkms-vboxadditions
Kernel module for VirtualBox additions (ideally only needs to be installed
on the guest OS not on the host OS).

%package -n	x11-driver-video-vboxvideo
Summary:	The X.org driver for video in VirtualBox guests
Group:		System/X11
Suggests:	virtualbox-guest-additions
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)


%description -n x11-driver-video-vboxvideo
The X.org driver for video in VirtualBox guests.
%endif

%if %build_doc
%package doc
Summary:	The user manual PDF file for %{name}
Group:		System/X11
BuildArch:	noarch

%description doc
This package contains the user manual PDF file for %{name}.
%endif

%if %{build_sdk}
%package devel
Summary:        %{name} SDK
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       python-%{name} = %{version}-%{release}

%description devel
This package contains the SDK for %{name}.


%package -n python-%{name}
Summary: %{name} SDK
Group:	  	  Development/Python
Requires:       %{name} = %{version}-%{release}

%description -n python-%{name}
Python XPCOM bindings to %{name}.
%endif

%prep
%setup -q -n %{distname}
%apply_patches

# add Mageia images
cp -a %{SOURCE20} %{SOURCE21} src/VBox/Frontends/VirtualBox/images/

rm -rf fake-linux/
cp -a $(ls -1dtr /usr/src/linux-* | tail -n 1) fake-linux

cat << EOF > LocalConfig.kmk
VBOX_PATH_APP_PRIVATE_ARCH:=%{vboxlibdir}
VBOX_WITH_ORIGIN:=
VBOX_WITH_RUNPATH:=%{vboxlibdir}
VBOX_PATH_APP_PRIVATE:=%{vboxdatadir}
VBOX_WITH_TESTCASES =
VBOX_WITH_TESTSUITE:=
VBOX_JAVA_HOME := %{java_home}
VBOX_WITHOUT_ADDITIONS_ISO := 1
XSERVER_VERSION := %{x11_server_majorver}
VBOX_PATH_APP_DOCS :=%{_defaultdocdir}/virtualbox
EOF

%build
#make -C fake-linux prepare
export LIBPATH_LIB="%{_lib}"
./configure \
 --with-linux=$PWD/fake-linux \
%if ! %build_doc
  --disable-docs
%endif

%if !%{build_additions}
sed -rie 's/(VBOX_WITH_LINUX_ADDITIONS\s+:=\s+).*/\1/' AutoConfig.kmk
echo VBOX_WITHOUT_ADDITIONS=1 >> LocalConfig.kmk
%endif

. ./env.sh
kmk %_smp_mflags all

%install
rm -rf %{buildroot}

# install vbox components
mkdir -p %{buildroot}%{vboxlibdir} %{buildroot}%{vboxdatadir} 

(cd out/%{vbox_platform}/release/bin && tar cf - --exclude=additions .) | \
(cd %{buildroot}%{vboxlibdir} && tar xf -)

# move noarch files to vboxdatadir
mv %{buildroot}%{vboxlibdir}/{VBox*.sh,nls,*.desktop,*.png} %{buildroot}%{vboxdatadir}

# install service
mkdir -p %{buildroot}%{_initrddir}
install -m755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}

# install wrappers
mkdir -p %{buildroot}%{_sysconfdir}/vbox
cat > %{buildroot}%{_sysconfdir}/vbox/vbox.cfg << EOF
# VirtualBox installation directory
INSTALL_DIR="%{vboxlibdir}"
EOF
mkdir -p %{buildroot}%{_bindir}
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/%{oname}
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/VBoxManage
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/VBoxSDL
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/VBoxHeadless
#ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/vboxwebsrv

# provide network control tools in bindir
ln -s %{vboxlibdir}/VBoxTunctl %{buildroot}%{_bindir}/VBoxTunctl
ln -s %{vboxlibdir}/VBoxNetAdpCtl %{buildroot}%{_bindir}/VBoxNetAdpCtl
ln -s %{vboxlibdir}/VBoxNetDHCP %{buildroot}%{_bindir}/VBoxNetDHCP

install -d %{buildroot}/var/run/%{oname}

# install dkms sources
mkdir -p %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
cat > vboxbuild << EOF
#!/bin/sh
set -e
make -C %{kname} KERN_DIR=\$1
cp -f %{kname}/Module.symvers vboxnetflt
cp -f %{kname}/Module.symvers vboxnetadp
make -C vboxnetflt KERN_DIR=\$1
make -C vboxnetadp KERN_DIR=\$1
EOF
install -m 0755 vboxbuild %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
mv %{buildroot}%{vboxlibdir}/src/* %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/
cat > %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf << EOF
MAKE[0]="./vboxbuild \$kernel_source_dir"
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION[0]=/kernel/3rdparty/vbox
BUILT_MODULE_LOCATION[0]=%{kname}/
BUILT_MODULE_NAME[0]=%{kname}
DEST_MODULE_LOCATION[1]=/kernel/3rdparty/vbox
BUILT_MODULE_LOCATION[1]=vboxnetflt/
BUILT_MODULE_NAME[1]=vboxnetflt
DEST_MODULE_LOCATION[2]=/kernel/3rdparty/vbox
BUILT_MODULE_LOCATION[2]=vboxnetadp/
BUILT_MODULE_NAME[2]=vboxnetadp
AUTOINSTALL=yes
EOF

# install udev rules
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
cat > %{buildroot}%{_sysconfdir}/udev/rules.d/%{name}.rules << EOF
KERNEL=="%{kname}", NAME="vboxdrv", OWNER="root", GROUP="root", MODE="0600"
SUBSYSTEM=="usb_device", ACTION=="add", RUN+="%{_datadir}/%{name}/VBoxCreateUSBNode.sh \$major \$minor \$attr{bDeviceClass} vboxusers"
SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", RUN+="%{_datadir}/%{name}/VBoxCreateUSBNode.sh \$major \$minor \$attr{bDeviceClass} vboxusers"
SUBSYSTEM=="usb_device", ACTION=="remove", RUN+="%{_datadir}/%{name}/VBoxCreateUSBNode.sh --remove \$major \$minor"
SUBSYSTEM=="usb", ACTION=="remove", ENV{DEVTYPE}=="usb_device", RUN+="%{_datadir}/%{name}/VBoxCreateUSBNode.sh --remove \$major \$minor"
EOF
cat > %{buildroot}%{_sysconfdir}/udev/rules.d/vbox-additions.rules << EOF
KERNEL=="vboxguest", NAME="vboxguest", OWNER="root", MODE="0660"
KERNEL=="vboxuser", NAME="vboxuser", OWNER="root", MODE="0666"
EOF

# install additions
%if %{build_additions}
# vboxadd-timesync should probably be renamed vboxadd now, but renaming initscripts
# cleanly is hacky business
install -m755 src/VBox/Additions/linux/installer/vboxadd-service.sh %{buildroot}%{_initrddir}/vboxadd-timesync

install -d %{buildroot}%{_sysconfdir}/X11/xinit.d
install -m755 src/VBox/Additions/x11/Installer/98vboxadd-xclient %{buildroot}%{_sysconfdir}/X11/xinit.d

pushd out/%{vbox_platform}/release/bin/additions
  install -d %{buildroot}/sbin %{buildroot}%{_sbindir} %{buildroot}/%{_libdir}/dri
  install -m755 mount.vboxsf %{buildroot}/sbin/mount.vboxsf
  install -m755 VBoxService %{buildroot}%{_sbindir}

  install -m755 VBoxClient %{buildroot}%{_bindir}
  install -m755 VBoxControl %{buildroot}%{_bindir}

  install -m755 VBoxOGL*.so %{buildroot}%{_libdir}
  ln -s -f ../VBoxOGL.so %{buildroot}%{_libdir}/dri/vboxvideo_dri.so

  install -d %{buildroot}%{_sysconfdir}/modprobe.preload.d
  cat > %{buildroot}%{_sysconfdir}/modprobe.preload.d/vbox-guest-additions << EOF
vboxguest
EOF
  install -d %{buildroot}%{_libdir}/xorg/modules/{input,drivers}
  install vboxvideo_drv.so %{buildroot}%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so

  mkdir -p %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}
  cat > %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/dkms.conf << EOF
PACKAGE_NAME=vboxadditions
PACKAGE_VERSION=%{version}-%{release}
MAKE[0]="make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxguest &&
cp \$dkms_tree/\$module/\$module_version/build/vboxguest/Module.symvers \$dkms_tree/\$module/\$module_version/build/vboxsf &&
make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxsf &&
cp \$dkms_tree/\$module/\$module_version/build/vboxsf/Module.symvers \$dkms_tree/\$module/\$module_version/build/vboxvideo &&
make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxvideo"
EOF
  i=0
  for kmod in vboxguest vboxsf vboxvideo; do
    mkdir -p %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/$kmod
    cp -a src/$kmod/* %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/$kmod/
    cat >> %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/dkms.conf << EOF
DEST_MODULE_LOCATION[$i]=/kernel/3rdparty/vbox
BUILT_MODULE_LOCATION[$i]=$kmod/
BUILT_MODULE_NAME[$i]=$kmod
EOF
    i=$((i+1))
  done
  cat >> %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/dkms.conf << EOF
CLEAN="make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxguest clean && 
make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxsf clean && 
make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxvideo clean "
AUTOINSTALL=yes
EOF
popd
  sed 's/^\(.package.*-kernel-\)\(.*-latest\)\(.*\)\\$/\1\2\3Obsoletes: vboxsf-kernel-\2 vboxvideo-kernel-\2\\n\\/' /etc/dkms/template-dkms-mkrpm.spec > %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/vboxadditions-dkms-mkrpm.spec
%endif

# desktop integration
#
# install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/{apps,mimetypes}
pushd out/%{vbox_platform}/release/bin/icons/
for i in 16 32 48 64 128; do
cp -a "$i"x"$i"/virtualbox.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/
cp -a "$i"x"$i"/virtualbox-*.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/mimetypes/
done
popd

# install menu entries

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=VirtualBox
Comment=Run several virtual systems on a single host computer
Comment[de]=Windows und andere Betriebssysteme unter FreeBSD ausführen
Comment[it]=Esegui più macchine virtuali su un singolo computer
Comment[pl]=Uruchamianie wielu systemów wirtualnych na jednym komputerze gospodarza
Comment[sv]=Kör flera virtuella system på en enda värddator
Comment[ko]=가상 머신
Exec=%{oname} %U
Icon=%{name}
Type=Application
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
MimeType=application/x-virtualbox-vbox;application/x-virtualbox-vbox-extpack;application/x-virtualbox-ovf;application/x-virtualbox-ova;
EOF

# install mime types
install -D -m644 out/%{vbox_platform}/release/bin/virtualbox.xml %{buildroot}%{_datadir}/mime/packages/virtualbox.xml


# add missing makefile for kernel module
install -m644 src/VBox/HostDrivers/Support/linux/Makefile %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/

%if %{build_sdk}
mkdir -p %{buildroot}%{vboxpydir}

pushd out/%{vbox_platform}/release/bin/sdk/installer
VBOX_INSTALL_PATH=%{vboxlibdir} \
        python vboxapisetup.py install --prefix %{_prefix} --root %{buildroot}
popd
#cp -rp out/%{vbox_platform}/release/bin/sdk/. %{buildroot}%{vboxlibdir}/sdk
rm -rf %{buildroot}%{vboxlibdir}/sdk/installer
%else
rm -rf %{buildroot}%{vboxlibdir}/sdk
%endif

# remove unpackaged files
rm -rf %{buildroot}%{vboxlibdir}/{src,testcase}
rm  -f %{buildroot}%{vboxlibdir}/tst*
rm  -f %{buildroot}%{vboxlibdir}/vboxkeyboard.tar.gz
rm  -f %{buildroot}%{vboxlibdir}/SUP*
rm  -f %{buildroot}%{vboxlibdir}/xpidl

# install PAM module:
install -D -m755 out/%{vbox_platform}/release/bin/additions/pam_vbox.so %{buildroot}/%{_lib}/security/pam_vbox.so

# install the user manual
%if %build_doc
install -D -m644 out/%{vbox_platform}/release/bin/UserManual.pdf %{buildroot}/%{_defaultdocdir}/%{name}/UserManual.pdf
%endif

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%_add_group_helper %{name} 1 vboxusers


# (Debian) Build usb device tree
for i in /sys/bus/usb/devices/*; do
	if test -r "$i/dev"; then
		dev="`cat "$i/dev" 2> /dev/null || true`"
		major="`expr "$dev" : '\(.*\):' 2> /dev/null || true`"
		minor="`expr "$dev" : '.*:\(.*\)' 2> /dev/null || true`"
		class="`cat $i/bDeviceClass 2> /dev/null || true`"
		/usr/share/virtualbox/VBoxCreateUSBNode.sh "$major" "$minor" "$class" vboxusers 2>/dev/null || true
	fi
done

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service %{name} condrestart > /dev/null 2>&1 || :
fi

%_del_group_helper %{name} 1 vboxusers

%preun
%_preun_service %{name}

%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{name} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{name} -v %{version}-%{release} &&
/usr/sbin/dkms --rpm_safe_upgrade install -m %{name} -v %{version}-%{release}
/sbin/rmmod vboxnetflt &>/dev/null
/sbin/rmmod vboxnetadp &>/dev/null
/sbin/rmmod %{kname} &>/dev/null
/sbin/modprobe %{kname} &>/dev/null
/sbin/modprobe vboxnetflt &>/dev/null
/sbin/modprobe vboxnetadp &>/dev/null
:

%preun -n dkms-%{name}
if [ "$1" = "0" ]; then
	/sbin/rmmod vboxnetadp >/dev/null 2>&1
	/sbin/rmmod vboxnetflt >/dev/null 2>&1
	/sbin/rmmod %{kname} >/dev/null 2>&1
fi
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{name} -v %{version}-%{release} --all || :

%if %{build_additions}
%post guest-additions
%_post_service vboxadd-timesync

%_add_group_helper %{name} 1 vboxsf

%preun guest-additions
%_preun_service vboxadd-timesync

%postun guest-additions
%_del_group_helper %{name} 1 vboxsf

%post -n dkms-vboxadditions
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m vboxadditions -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m vboxadditions -v %{version}-%{release} &&
/usr/sbin/dkms --rpm_safe_upgrade install -m vboxadditions -v %{version}-%{release}
:

%preun -n dkms-vboxadditions
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m vboxadditions -v %{version}-%{release} --all
:

%endif

%files
%config %{_sysconfdir}/vbox/vbox.cfg
%{_bindir}/%{oname}
%{_bindir}/VBoxManage
%{_bindir}/VBoxSDL
%{_bindir}/VBoxHeadless
%{_bindir}/VBoxTunctl
%{_bindir}/VBoxNetAdpCtl
%{_bindir}/VBoxNetDHCP
#%{_bindir}/vboxwebsrv
%{vboxlibdir}
%attr(4711,root,root) %{vboxlibdir}/VBoxHeadless
%attr(4711,root,root) %{vboxlibdir}/VBoxSDL
%attr(4711,root,root) %{vboxlibdir}/VirtualBox
%attr(4711,root,root) %{vboxlibdir}/VBoxNetAdpCtl
%attr(4711,root,root) %{vboxlibdir}/VBoxNetDHCP
%attr(644,root,root) %{vboxlibdir}/*.gc
%attr(644,root,root) %{vboxlibdir}/*.r0
%{vboxdatadir}
# initscripts integration
%{_initrddir}/%{name}
%config %{_sysconfdir}/udev/rules.d/%{name}.rules
%dir /var/run/%{oname}
# desktop integration
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/mime/packages/virtualbox.xml

%files -n dkms-%{name}
%{_usr}/src/%{name}-%{version}-%{release}

%if %{build_additions}
%files guest-additions
/%{_lib}/security/pam_vbox.so
/sbin/mount.vboxsf
%{_initrddir}/vboxadd-timesync
%{_sbindir}/VBoxService
%{_bindir}/VBoxClient
%{_bindir}/VBoxControl
%{_sysconfdir}/udev/rules.d/vbox-additions.rules
%{_sysconfdir}/X11/xinit.d/98vboxadd-xclient
%{_sysconfdir}/modprobe.preload.d/vbox-guest-additions

%files -n x11-driver-video-vboxvideo
%{_libdir}/VBoxOGL*
%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
%{_libdir}/dri/vboxvideo_dri.so

%files -n dkms-vboxadditions
%{_usr}/src/vbox*-%{version}-%{release}
%endif

%if %build_doc
%files doc
%doc %{_defaultdocdir}/%{name}/UserManual.pdf
%endif

%if %{build_sdk}
%files devel
%{vboxlibdir}/sdk

%files -n python-%{name}
%{vboxpydir}
%{py_puresitedir}/vboxapi*.egg-info
%endif


%changelog

* Tue Apr 03 2012 tmb <tmb> 4.1.12-1.mga2
+ Revision: 228191
- update to 4.1.12 (bugfix release)

* Thu Mar 15 2012 tmb <tmb> 4.1.10-1.mga2
+ Revision: 223427
- fix groups
- fix filelists
- package sdk, add virtualbox-devel and python-virtualbox (mga #4396)
- drop merged P15-P18 (buildfixes for kernel-3.3)
- rediff P10 (system xorg) and P13 (mga support)
- update to 4.1.10

* Mon Mar 12 2012 tmb <tmb> 4.1.8-4.mga2
+ Revision: 223124
- fix Config.kmk, iprt/types.h, and Runtime/r0drv so it works with 3.3 series kernels
- fix vboxadditions build with 3.3 series kernels

* Sat Jan 14 2012 tmb <tmb> 4.1.8-3.mga2
+ Revision: 196091
- disable update notification again (patch from OpenSuSE)

  + luigiwalser <luigiwalser>
    - fix guest-additions description (from mdv)

* Sat Dec 24 2011 tmb <tmb> 4.1.8-2.mga2
+ Revision: 187229
- remove x11-driver-input-vboxmouse again for now
- restopre x11-driver-input-vboxmouse, as it's still useful
- re-enable doc build
- drop buildroot and defattr
- rediff patches to apply cleanly
- disable P7 (disable update check) as it needs to be rewritten
- update to 4.1.8

* Tue Dec 06 2011 tmb <tmb> 4.1.6-2.mga2
+ Revision: 177807
- rebuild for new x11-server-1.11.2 and gcc-4.6.2

* Sat Nov 05 2011 fwang <fwang> 4.1.6-1.mga2
+ Revision: 163136
- rediff patches
- new version 4.1.6

* Sat Oct 22 2011 tmb <tmb> 4.1.4-3.mga2
+ Revision: 157305
- add Mageia info to the install manuals too
- fix so the Mageia icons actually are used
- remove duplicated text from French installation manual
- use better mageia icons

* Fri Oct 21 2011 tmb <tmb> 4.1.4-2.mga2
+ Revision: 157155
- temporarily disable docs due to texlive problem
- add Mageia support in GUI and default to it

* Tue Oct 04 2011 fwang <fwang> 4.1.4-1.mga2
+ Revision: 151463
- vboxmouse driver is not used in recent xorg server
- vboxmouse rules does not exists
- new version 4.1.4

* Mon Sep 12 2011 fwang <fwang> 4.1.2-2.mga2
+ Revision: 142645
- rebuild for new libpng
- fix vbox-service.sh
- add short-desc
- new version 4.1.2
- rediff some patches

* Wed Jul 20 2011 fwang <fwang> 4.1.0-1.mga2
+ Revision: 126896
- new version 4.1.0

* Sat Jul 16 2011 fwang <fwang> 4.0.12-1.mga2
+ Revision: 124665
- new version 4.0.12

* Wed Jul 06 2011 ahmad <ahmad> 4.0.10-3.mga2
+ Revision: 119186
- guest-additions should require xrandr for auto-resizing of guest display to
  work without having to restart the X server in the guest VM

* Wed Jun 29 2011 ahmad <ahmad> 4.0.10-2.mga2
+ Revision: 115662
- Add a patch to only display warnings about broken USB support when it's
  actually used (i.e. the machine has USB device filters), from Debian
- Use %%apply_patches

* Tue Jun 28 2011 ahmad <ahmad> 4.0.10-1.mga2
+ Revision: 115507
- Update to 4.0.10
- Drop the OSE references, our and upstream's rpms don't have USB support
  without the extension pack (hint from Debian)
- Add BR docbook-dtds

* Mon Jun 27 2011 colin <colin> 4.0.8-2.mga2
+ Revision: 114444
- Build PulseAudio backend again (accidentally dropped in r1496 during spec cleaning)

* Thu Jun 09 2011 tmb <tmb> 4.0.8-1.mga2
+ Revision: 102422
- update to 4.0.8

* Sat May 28 2011 ahmad <ahmad> 4.0.6-4.mga1
+ Revision: 100624
- Install UserManual.pdf in /usr/share/doc/virtualbox/ so that the -doc package
  is truly noarch (mga#1456)

* Tue May 03 2011 ahmad <ahmad> 4.0.6-3.mga1
+ Revision: 94324
- Fix the build by correcting a typo in the spec
- Create a vboxsf group in virtualbox-guest-additions sub-package, this should
  make the auto-mount feature of shared folders work (Debian)
- Desktop integration improvements:
  o install icons in hicolor icon theme, this should add default icons and mime
    types for .ova, .ovf and vbox-extpack files. Also it sets VirtualBox as the
    default app to open them (Debian)
  o add Mimetype key to the .desktop file; nick the Comment and its translations
    key(s) from the upstream .desktop file

* Sat Apr 30 2011 tmb <tmb> 4.0.6-2.mga1
+ Revision: 93736
+ rebuild (emptylog)

* Mon Apr 25 2011 ahmad <ahmad> 4.0.6-1.mga1
+ Revision: 90286
- Update to 4.0.6
- Rediff the kernelrelease patch
- Make dkms-vboxadditions and dkms-%%{name} only conflict with each other in versions
  older than 4.0.6; they used to export the same symbols breaking each other
  but the upstream bug has been fixed.
  c.f. http://www.virtualbox.org/ticket/5686

* Thu Mar 17 2011 tv <tv> 4.0.4-6.mga1
+ Revision: 73401
- rebuild again for x11-server-1.10

* Thu Mar 17 2011 blino <blino> 4.0.4-5.mga1
+ Revision: 73284
- fix virtualbox udev rules not to break other udev rules for USB devices:
  RUN= overwrites previous RUN affectations, RUN+= should be used instead
  (this should be fixed in upstream src/VBox/Installer/linux/install.sh as well)

* Wed Mar 09 2011 ahmad <ahmad> 4.0.4-4.mga1
+ Revision: 66715
- bump rel to submit to core/testing (hopefully X server 1.10 will be in
  core/release soon)

* Wed Mar 09 2011 ahmad <ahmad> 4.0.4-3.mga1
+ Revision: 66714
- Remove the gsoap BR due to licensing issues. Due to this we'll have to disable
  webservice building (users who use this feature can use the upstream vbox
  packages...)

* Sun Mar 06 2011 ahmad <ahmad> 4.0.4-2.mga1
+ Revision: 65562
- add missing BR texlive-fontsextra, as it includes beramono.sty

  + tmb <tmb>
    - rebuild for x11-server 1.10

* Wed Feb 23 2011 ahmad <ahmad> 4.0.4-1.mga1
+ Revision: 57449
- update to 4.0.4
- update 18-system-xorg.patch from Debian

* Mon Feb 07 2011 ahmad <ahmad> 4.0.2-4.mga1
+ Revision: 48743
- improve dkms-vboxadditions description
- make the -doc sub-package noarch

* Wed Feb 02 2011 ahmad <ahmad> 4.0.2-2.mga1
+ Revision: 46397
- don't delete /dev/vboxusb

* Wed Jan 26 2011 ahmad <ahmad> 4.0.2-1.mga1
+ Revision: 39861
- add BR libxcomposite-devel
- improve the comment about 18-system-xorg.patch
- update to 4.0.2
- drop patch6, fixed upstream long ago
- add 18-system-xorg.patch from Debian, this makes the package build only the
  drivers for the system X server version; in accordance with this add
  "XSERVER_VERSION := %%{x11_server_majorver}" to LocalConfig.kmk
  (XSERVER_VERSION is added by the patch)
- try to make USB paththrough work:
   o modify udev virtualbox.rules file to make usb paththrough work, this syncs
     the udev rule with the upstream one
   o add/remove a vboxusers group in %%post/%%postun (Debian)
   o add a post scriplet to build the usb device tree (Debian)
   o add a postun scriptlet to remove the usb device tree

* Sat Jan 22 2011 ahmad <ahmad> 4.0.0-2.mga1
+ Revision: 33306
- really disable patch16
- drop patches 7 and 17 not needed anymore
- delete 60-vboxadd.perms, not needed any more
- clean spec
- disable virtualbox-default-to-mandriva patch for now
- imported package virtualbox

